%define name xmms-crystality
%define oname crystality-plugin
%define version 0.92
%define release %mkrel 13

Summary: Realtime plugin for remastering mp3 sound
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{oname}-%{version}.tar.bz2
Patch: crystality-plugin-0.92-optflags.patch
Patch1: crystality-plugin-0.92-fix-crash.patch
Patch2: crystality-plugin-0.92-gcc3.3.patch
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: xmms
BuildRequires: libxmms-devel
URL: http://fanthom.math.put.poznan.pl/~gyver/crystality/

%description
This software consists of XMMS plugin and stdin/stdout plugin. It was
written for realtime remastering of sound from mp3 files.  You will
need a reasonably good stereo and a good ear to notice quality
improvement, otherwise this is not for you.  This plugin tries to
patch mp3 format flaws, not a poor audio hardware!  Yes, you should be
able to hear well enough (sorry) - for some of my friends plugin is a
cool thing, while the others does not hear nothing but echo and stereo
expander (well, you will hear every effect if you set it to the
maximum, but it will not sound nice).


%prep
%setup -q -n %oname-%version
%patch
%patch1
%patch2 -p1

%build
%make clean all OPTFLAGS="%optflags -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_libdir/xmms/Effect %buildroot/%_bindir
cp crystality-stdio %buildroot/%_bindir
cp libcrystality.so %buildroot/%_libdir/xmms/Effect
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog
%_bindir/crystality-stdio
%_libdir/xmms/Effect/libcrystality.so




%changelog
* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.92-13mdv2009.0
+ Revision: 262516
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.92-12mdv2009.0
+ Revision: 257244
- rebuild
- fix spacing at top of description

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.92-10mdv2008.1
+ Revision: 130351
- kill re-definition of %%buildroot on Pixel's request


* Thu Jan 25 2007 Götz Waschk <waschk@mandriva.org> 0.92-10mdv2007.0
+ Revision: 113182
- Import xmms-crystality

* Thu Jan 25 2007 Gtz Waschk <waschk@mandriva.org> 0.92-10mdv2007.1
- unpack patches

* Tue Aug 01 2006 Götz Waschk <waschk@mandriva.org> 0.92-1mdv2007.0
- Rebuild

* Fri May 12 2006 Götz Waschk <waschk@mandriva.org> 0.92-8mdk
- Rebuild
- use mkrel

* Wed May 11 2005 Gtz Waschk <waschk@mandriva.org> 0.92-7mdk
- fix build on x86_64

* Sat Jul 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.92-6mdk
- fix buildrequires
- drop prefix 
- rebuild

